Name:       perl-SOAP-Lite
Version:    1.10
Release:    1%{?dist}
Summary:    Client and server side SOAP implementation
License:    GPL+ or Artistic
Group:      Development/Libraries
URL:        http://search.cpan.org/dist/SOAP-Lite/
Source0:    http://search.cpan.org/CPAN/authors/id/P/PH/PHRED/SOAP-Lite-%{version}.tar.gz
BuildArch:  noarch

BuildRequires:  perl
BuildRequires:  perl(bytes)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::Inspector)
BuildRequires:  perl(constant)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(MIME::Entity)
BuildRequires:  perl(MIME::Parser)
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(URI)
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XML::Parser)
# We don't require Apache* modules as both mod_perl 1 and 2 are supported.
# The server also introduces a huge dependency chain not everyone really wants.
Requires:       perl(Compress::Zlib)
Requires:       perl(Encode)
Requires:       perl(HTTP::Headers)
Requires:       perl(HTTP::Request)
Requires:       perl(LWP::UserAgent)
Requires:       perl(MIME::Base64)
Requires:       perl(MIME::Entity)
Requires:       perl(XML::Parser)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
# Merged back into SOAP-Lite in 1.00
Provides:       perl-SOAP-Transport-TCP = %{version}-%{release}
Obsoletes:      perl-SOAP-Transport-TCP < 0.715-12

%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(My::.*\\)
%global __provides_exclude %__provides_exclude|perl\\(LWP::Protocol\\)
%global __requires_exclude %{?_requires_exclude:%__requires_exclude|}perl\\(My::\\)

%description
SOAP::Lite is a collection of Perl modules which provides a simple and
lightweight interface to the Simple Object Access Protocol (SOAP) both on
client and server side.

%prep
%setup -q -n SOAP-Lite-%{version}
find examples -type f -exec chmod ugo-x {} +

%build
perl Makefile.PL --noprompt INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} +
chmod -R u+w %{buildroot}/*

%check
make test

%files
%doc Changes HACKING README ReleaseNotes.txt examples
%{_bindir}/*pl
%{perl_vendorlib}/SOAP
%{perl_vendorlib}/Apache
%{_mandir}/man3/*
%{_mandir}/man1/*

%changelog
* Tue Jan 28 2014 Petr Šabata <contyk@redhat.com> - 1.10-1
- 1.10 bump

* Thu Jan 16 2014 Petr Šabata <contyk@redhat.com> - 1.09-1
- 1.09 bugfix bump

* Tue Jan 07 2014 Petr Šabata <contyk@redhat.com> - 1.08-2
- Update the source URL

* Mon Nov 25 2013 Petr Šabata <contyk@redhat.com> - 1.08-1
- 1.08 bump, no code changes

* Thu Nov 14 2013 Petr Šabata <contyk@redhat.com> - 1.06-3
- Properly obsolete/provide SOAP-Transport-TCP

* Tue Nov 12 2013 Petr Šabata <contyk@redhat.com> - 1.06-2
- Add a missing, undetected runtime dependency on LWP::UserAgent

* Tue Nov 12 2013 Petr Šabata <contyk@redhat.com> - 1.06-1
- 1.06 bump
- SOAP::Transport::TCP is back
- UDDI::Lite, XML::Parser::Lite, and XMLRPC::Lite are now split from the package

* Sun Aug 04 2013 Petr Pisar <ppisar@redhat.com> - 0.716-3
- Perl 5.18 rebuild
- Adjust tests for Perl 5.18 (CPAN RT#84168)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.716-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon May 13 2013 Petr Šabata <contyk@redhat.com> - 0.716-1
- 0.716 bugfix bump
- Fixing historical bogus dates in changelog

* Mon May 06 2013 Petr Pisar <ppisar@redhat.com> - 0.715-4
- Fix sending a large object (bug #960011)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.715-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Aug 02 2012 Petr Šabata <contyk@redhat.com> - 0.715-2
- Bundle 0.714 IO modules to fix dependency breakage
  (confirmed as unintentional by upstream)

* Thu Jul 19 2012 Petr Šabata <contyk@redhat.com> - 0.715-1
- 0.715 bump
- Drop command macros

* Fri Jun 29 2012 Petr Pisar <ppisar@redhat.com> - 0.714-3
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.714-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Aug 22 2011 Petr Sabata <contyk@redhat.com> - 0.714-1
- 0.714 bump

* Wed Aug 17 2011 Petr Sabata <contyk@redhat.com> - 0.713-1
- 0.713 bump
- Drop all patches (included upstream)
- Remove now obsolete defattr

* Fri Jul 22 2011 Petr Sabata <contyk@redhat.com> - 0.712-8
- RPM 4.9 dependency filtering added
- Add patch for XML::Parser::Lite from rt#68088; perl5.14 fix

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 0.712-7
- Perl mass rebuild

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 0.712-6
- Perl mass rebuild

* Tue May 31 2011 Petr Sabata <contyk@redhat.com> - 0.712-5
- Filter LWP::Protocol from Provides (#709269)

* Tue May 17 2011 Petr Sabata <psabata@redhat.com> - 0.712-4
- Do not require Apache2::*; this introduces mod_perl/httpd dependencies
  This is optional and needed only when running under mod_perl which provides
  those modules. (#705084)
- Use read() instead of sysread() under mod_perl (#663931), mod_perl patch

* Fri Apr  8 2011 Petr Sabata <psabata@redhat.com> - 0.712-3
- BuildArch: noarch

* Wed Apr  6 2011 Petr Sabata <psabata@redhat.com> - 0.712-2
- Fix Requires typos

* Tue Apr  5 2011 Petr Sabata <psabata@redhat.com> - 0.712-1
- 0.712 bump
- Removing clean section
- Removing 'defined hash' patch (included upstream)
- Fixing BRs/Rs; hopefully I didn't omit anything

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.711-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 23 2010 Marcela Mašláňová <mmaslano@redhat.com> - 0.711-2
- add R: LWP::UserAgent and clean spec from buildroot

* Thu Jun  3 2010 Marcela Mašláňová <mmaslano@redhat.com> - 0.711-1
- update and apply fix from https://rt.cpan.org/Public/Bug/Display.html?id=52015

* Thu May 13 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.710.10-4
- BR: perl(version) (Fix perl-5.12.0 build breakdown).

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.710.10-3
- Mass rebuild with perl-5.12.0

* Mon Jan 18 2010 Stepan Kasal <skasal@redhat.com> - 0.710.10-2
- limit BR perl(FCGI) to Fedora

* Wed Oct  7 2009 Stepan Kasal <skasal@redhat.com> - 0.710.10-1
- new upstream release
- drop upstreamed patch
- add missing build requires
- use %%filter-* macros

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.710.08-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May  8 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.710.08-3
- Filter out perl(LWP::Protocol) Provides, which comes from a file
  not stored in Perl's search path for modules (#472359).

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.710.08-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 11 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.710.08-1
- New upstream release
- Enable tests
- Include examples in documentation
- Don't grab in dependencies of exotic transports (for the sake
  of consistency with existing practice of Jabber transport)

* Tue Sep 09 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.710.07-2
- Re-add the nil patch

* Tue Jun 24 2008 Mike McGrath <mmcgrath@redhat.com> - 0.710.07-1
- Upstream released new version

* Mon Mar  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.68-6
- rebuild for new perl

* Thu Oct 18 2007 Mike McGrath <mmcgrath@redhat.com> - 0.68-5
- Fixed build requires

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 0.68-4.1
- correct license tag
- add BR: perl(ExtUtils::MakeMaker)

* Mon Mar 05 2007 Mike McGrath <mmcgrath@redhat.com> - 0.68-4
- bogus reqs diff

* Sat Jan 06 2007 Mike McGrath <imlinux@gmail.com> - 0.68-3
- Changed the way this package removes bogus reqs for EL4

* Sun Sep 10 2006 Mike McGrath <imlinux@gmail.com> - 0.68-1
- Rebuild

* Tue Jul 18 2006 Mike McGrath <imlinux@gmail.com> - 0.68-1
- New upstream source
- Patch provided for <value><nil/></value> issues

* Mon Mar 20 2006 Mike McGrath <imlinux@gmail.com> - 0.67-2
- Removed perl requirements that do not yet exist in Extras

* Sat Mar 18 2006 Mike McGrath <imlinux@gmail.com> - 0.67-1
- New Owner and new spec file

* Wed Oct 26 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.60a-3
- Fix build, doc permissions (#169821).

* Wed Apr 06 2005 Hunter Matthews <thm@duke.edu> 0.60a-2
- Review suggestions from José Pedro Oliveira

* Fri Mar 18 2005 Hunter Matthews <thm@duke.edu> 0.60a-1
- Initial packaging.

